<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    
    <table id="data" border="4px">
        
    </table>

    <script> 

    fetch ('./data.json').then ((response) => {
        return response.json();
    }).then ((data) => {
        let output = '';
        output += '<tr>' +
            '<th>Car Id</th>' +
            '<th>Car Make</th>' +
            '<th>Car Model</th>' +
            '<th>Car Year</th>' +
        '</tr>'
        document.getElementById ('data').innerHTML = output;

        data.forEach ((val) => {
            output += '<tr>' +
            '<td>' +val.id + '</td>' +
            '<td>' +val.car_make + '</td>' +
            '<td>' +val.car_model + '</td>' +
            '<td>' +val.car_year + '</td>' +
        '</tr>'
        document.getElementById ('data').innerHTML = output;
        })

    }).catch ((err) => {
        console.log(err);
    })

    </script>

</body>
</html>